## vls 0.3.1-1

=== Makefile ===
################################################################################
# vls (VideoLAN Server) main Makefile
#-------------------------------------------------------------------------------
# (c)1999-2001 VideoLAN
# $Id: Makefile,v 1.81 2001/12/05 13:07:51 bozo Exp $
################################################################################


ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif


################################################################################
# Common options
################################################################################

LCFLAGS += $(VLS_LCFLAGS)


################################################################################
# Files description
################################################################################

#
# Source files
#
CORESRC=	src/core/application.cpp \
		src/core/exception.cpp \
		src/core/file.cpp \
		src/core/log.cpp \
		src/core/parsers.cpp \
		src/core/reflect.cpp \
		src/core/regexp.cpp \
		src/core/serialization.cpp \
		src/core/settings.cpp \
		src/core/socket.cpp \
		src/core/string.cpp \
		src/core/system.cpp \
		src/core/thread.cpp \
		src/core/module.cpp \

MPEGSRC=	src/mpeg/ts.cpp \
		src/mpeg/streamdescr.cpp \
		src/mpeg/reader.cpp \
		src/mpeg/converter.cpp \

SHAREDSRC=	src/server/buffer.cpp \
		src/server/directory.cpp \
		src/server/input.cpp \
		src/server/output.cpp \
                src/server/channel.cpp \
		src/server/request.cpp \

SERVERSRC=	src/server/admin.cpp \
		src/server/broadcast.cpp \
		src/server/manager.cpp \
		src/server/program.cpp \
		src/server/telnet.cpp \
		src/server/nativeadmin.cpp \
		src/server/tsstreamer.cpp \
		src/server/vls.cpp \


#
# Module libraries
#
MODULE_LIST:=	dvdreader \
		filechannel \
		filereader \
		localinput \
		videoinput \
		netchannel \
		ps2ts \
		ts2ts \


BUILTINSTARGETS:=$(BUILTINS:%:bin/%.a)
PLUGINSTARGETS:=$(PLUGINS:%:bin/%.so)


#
# Object files
# 
COREOBJ:=$(CORESRC:src/%.cpp=obj/%.o)
MPEGOBJ:=$(MPEGSRC:src/%.cpp=obj/%.o)
SHAREDOBJ:=$(SHAREDSRC:src/%.cpp=obj/%.o)
SERVEROBJ:=$(SERVERSRC:src/%.cpp=obj/%.o)

OBJ:=$(COREOBJ) $(MPEGOBJ) $(SHAREDOBJ) $(SERVEROBJ)


#
# Dependencies
#
COREDEP:=$(CORESRC:src/%.cpp=dep/%.d)
MPEGDEP:=$(MPEGSRC:src/%.cpp=dep/%.d)
SHAREDDEP:=$(SHAREDSRC:src/%.cpp=dep/%.d)
SERVERDEP:=$(SERVERSRC:src/%.cpp=dep/%.d)

DEP:=$(COREDEP) $(MPEGDEP) $(SHAREDDEP) $(SERVERDEP)


#
# Misc variables
#
VLS_QUICKVERSION := $(shell grep '^ *VLS_VERSION=' configure.in | cut -f2 -d=)

# export symbols for recursive Makefiles
export


################################################################################
# Targets definition
################################################################################

#
# Build rules
#
all:		Makefile.opts vls $(PLUGINS)

Makefile.opts:
		@echo "**** No configuration found, please run ./configure..."
		@exit 1

clean:
		rm -Rf obj
		for module in $(MODULE_LIST) ; do \
			( cd src/modules/$$module && $(MAKE) clean ) ; done

distclean:	clean
		rm -f bin/vls
		rm -f config*status config*cache config*log
		rm -f Makefile.opts src/core/defs.h src/server/config.h
		rm -f src/server/vls_builtins.cpp
		rm -Rf dep
		rm -Rf *.log *.dbg
		for module in $(MODULE_LIST) ; do \
			( cd src/modules/$$module && $(MAKE) distclean ) ; done

install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) bin/vls $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(libdir)/videolan/vls
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=bin/%.so) $(DESTDIR)$(libdir)/videolan/vls
endif
	mkdir -p $(DESTDIR)$(sysconfdir)/videolan/vls
	test -r $(DESTDIR)$(sysconfdir)/videolan/vls/vls.cfg || $(INSTALL) -m 644 vls.cfg $(DESTDIR)$(sysconfdir)/videolan/vls
	@echo "Installation succeeded."

uninstall:
	rm -f $(DESTDIR)$(bindir)/vls
	rm -f $(DESTDIR)$(libdir)/videolan/vls/*.so

dep:		Makefile.opts $(DEP)

vls:		Makefile.opts $(OBJ) $(BUILTINS)
		@echo "Linking $@..."
		@test -d bin || mkdir -p bin
		$(CXX) $(LCFLAGS) -o bin/$@ $(OBJ) $(BUILTINS:%=obj/%.a) $(VLS_LIB)
		chmod 755 bin/$@

dep/server/vls.d:	src/server/vls_builtins.cpp

src/server/vls_builtins.cpp:	Makefile.opts
		rm -f $@
ifneq (,$(BUILTINS))
		for builtin in $(BUILTINS) ; do \
		echo "extern C_Module* NewBuiltin_"$$builtin"(handle hLog);" >> $@ ; \
		done
endif
		echo "" >> $@
		echo "void C_Vls::LoadBuiltins()" >> $@
		echo "{" >> $@
ifneq (,$(BUILTINS))
		for builtin in $(BUILTINS) ; do \
		echo "  C_Module* pModule_"$$builtin" = NewBuiltin_"$$builtin"(m_hLog);" >> $@ ; \
		echo "  m_pModuleManager->RegisterModule(pModule_"$$builtin");" >> $@ ; \
		done
endif
		echo "}" >> $@
		echo "" >> $@

$(PLUGINS):	%: Makefile.opts
$(PLUGINS):	%: src/modules/%/Makefile
		cd src/modules/$* && $(MAKE) ../../../bin/$*.so

$(BUILTINS):	%: Makefile.opts
$(BUILTINS):	%: src/modules/%/Makefile
		cd src/modules/$* && $(MAKE) ../../../obj/$*.a

$(OBJ):		obj/%.o: Makefile.opts
$(OBJ):		obj/%.o: dep/%.d
$(OBJ):		obj/%.o: src/%.cpp
		@test -d obj/$(dir $*) || mkdir -p obj/$(dir $*)
		@echo "Compiling $<..."
		$(CXX) $(CCFLAGS) $(INCLUDE) -o $@ -c $< 

$(DEP):		Makefile.opts Makefile FORCE
$(DEP):		dep/%.d: src/%.cpp
		@$(MAKE) -s --no-print-directory -f Makefile.dep $@

FORCE:

#
# Package generation rules
#
snapshot:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "Starting snapshot's build."; mkdir tmp; \
	fi
	# Copy directory structure in tmp
	find -type d | grep -v '\(snapshot\|CVS\)' | while read i ; \
		do mkdir -p tmp/vls/$$i ; \
	done
	rm -Rf tmp/vls/tmp
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf tmp/vls/$$i ; done
	# Copy .c .h .in .cpp and files
	find src -type f -name '*.[chi]*' | while read i ; \
		do cp $$i tmp/vls/$$i ; done
	# Copy module Makefiles
	find src/modules -type f -name Makefile | while read i ; \
		do cp $$i tmp/vls/$$i ; done
	# Copy input Makefiles
	find src/inputs -type f -name Makefile | while read i ; \
		do cp $$i tmp/vls/$$i ; done
	# Copy misc files
	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* HOWTO \
		vls.cfg input.cfg Makefile Makefile.dep Makefile.module \
		Makefile.module.dep Makefile.opts.in\
		configure configure.in install-sh config.sub config.guess \
		tmp/vls/
	# Copy Debian control files
	for file in debian/*dirs debian/*docs debian/*menu debian/*desktop \
		debian/*copyright debian/*conffiles ; \
			do cp $$file tmp/vls/debian ; done
	for file in control changelog rules vls.1 ; do \
		cp debian/$$file tmp/vls/debian/ ; done
	# Build archives
	F=vls-${VLS_QUICKVERSION}; \
		mv tmp/vls tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
		bzip2 -f -9 < tmp/$$F.tar > $$F.tar.bz2; \
		gzip -f -9 tmp/$$F.tar ; mv tmp/$$F.tar.gz .
	# Clean up
	rm -Rf tmp

=== debian/changelog ===
vls (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 12 Oct 2001 05:23:10 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: vls
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), libdvdread2-dev
Standards-Version: 3.0.1

Package: vls
Architecture: any
Depends: ${shlibs:Depends}
Description: a free MPEG and DVD server
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is vls, the VideoLAN Server. It plays MPEG and MPEG2 files,
 and sends them to clients through the network.

Package: vls-dvd
Architecture: any
Depends: vls (= ${Source-Version}), ${shlibs:Depends}
Description: DVD plugin for vls
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds DVD support to vls, the VideoLAN Server.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Server - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --sysconfdir=/etc --disable-debug \
		--mandir=$${prefix}/share/man --infodir=$${prefix}/share/info

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vls/ $(MAKE) install prefix=/usr

	# Copy documentation
	cp input.cfg `pwd`/debian/vls/usr/share/doc/vls/examples

	# Fill the vls-dvd package
	mv `pwd`/debian/vls/usr/lib/videolan/vls/dvdreader.so \
		`pwd`/debian/vls-dvd/usr/lib/videolan/vls/
	ln -s vls `pwd`/debian/vls-dvd/usr/share/doc/vls-dvd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman debian/vls.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vls 0.3.2

=== src/modules/dvdreader/Makefile ===
################################################################################
# "dvd" reader Makefile
#-------------------------------------------------------------------------------
# (c)1999-2001 VideoLAN
# $Id: Makefile,v 1.3 2001/11/29 16:11:42 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=dvdreader

#
# Source files
#
MODULE_SRC=	dvdreader.cpp \


MODULE_LIB+=$(DVDREADER_LIB)


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.

=== src/modules/filereader/Makefile ===
################################################################################
# "file" reader Makefile
#-------------------------------------------------------------------------------
# (c)2001 VideoLAN
# $Id: Makefile,v 1.2 2001/11/29 16:11:42 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=filereader

#
# Source files
#
MODULE_SRC=	filereader.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.

## vls 0.3.3-1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # vls (VideoLAN Server) main Makefile
 #-------------------------------------------------------------------------------
 # (c)1999-2001 VideoLAN
-# $Id: Makefile,v 1.81 2001/12/05 13:07:51 bozo Exp $
+# $Id: Makefile,v 1.91 2002/04/04 00:46:44 bozo Exp $
 ################################################################################
 
 
@@ -25,13 +25,15 @@
 #
 # Source files
 #
-CORESRC=	src/core/application.cpp \
+
+ifeq ($(NEEDSRC_core),1)
+SRC+=		src/core/application.cpp \
 		src/core/exception.cpp \
 		src/core/file.cpp \
+		src/core/lexer.cpp \
 		src/core/log.cpp \
 		src/core/parsers.cpp \
 		src/core/reflect.cpp \
-		src/core/regexp.cpp \
 		src/core/serialization.cpp \
 		src/core/settings.cpp \
 		src/core/socket.cpp \
@@ -40,19 +42,16 @@
 		src/core/thread.cpp \
 		src/core/module.cpp \
 
-MPEGSRC=	src/mpeg/ts.cpp \
-		src/mpeg/streamdescr.cpp \
-		src/mpeg/reader.cpp \
-		src/mpeg/converter.cpp \
-
-SHAREDSRC=	src/server/buffer.cpp \
+endif
+
+ifeq ($(NEEDSRC_server),1)
+SRC+=		src/server/buffer.cpp \
 		src/server/directory.cpp \
 		src/server/input.cpp \
 		src/server/output.cpp \
                 src/server/channel.cpp \
 		src/server/request.cpp \
-
-SERVERSRC=	src/server/admin.cpp \
+		src/server/admin.cpp \
 		src/server/broadcast.cpp \
 		src/server/manager.cpp \
 		src/server/program.cpp \
@@ -61,18 +60,36 @@
 		src/server/tsstreamer.cpp \
 		src/server/vls.cpp \
 
+endif
+
+ifeq ($(NEEDSRC_mpegbase),1)
+SRC+=		src/mpeg/ts.cpp \
+		src/mpeg/streamdescr.cpp \
+		src/mpeg/reader.cpp \
+		src/mpeg/converter.cpp \
+
+endif
+
+ifeq ($(NEEDSRC_mpegmux),1)
+SRC+=		src/mpeg/dvbpsi.cpp \
+		src/mpeg/tsdemux.cpp \
+		src/mpeg/tsmux.cpp \
+
+endif
+
 
 #
 # Module libraries
 #
-MODULE_LIST:=	dvdreader \
+MODULE_LIST:=	filereader \
+		dvdreader \
+		ts2ts \
+		ps2ts \
 		filechannel \
-		filereader \
+		netchannel \
 		localinput \
 		videoinput \
-		netchannel \
-		ps2ts \
-		ts2ts \
+		dvbinput \
 
 
 BUILTINSTARGETS:=$(BUILTINS:%:bin/%.a)
@@ -82,23 +99,13 @@
 #
 # Object files
 # 
-COREOBJ:=$(CORESRC:src/%.cpp=obj/%.o)
-MPEGOBJ:=$(MPEGSRC:src/%.cpp=obj/%.o)
-SHAREDOBJ:=$(SHAREDSRC:src/%.cpp=obj/%.o)
-SERVEROBJ:=$(SERVERSRC:src/%.cpp=obj/%.o)
-
-OBJ:=$(COREOBJ) $(MPEGOBJ) $(SHAREDOBJ) $(SERVEROBJ)
+OBJ:=$(SRC:src/%.cpp=obj/%.o)
 
 
 #
 # Dependencies
 #
-COREDEP:=$(CORESRC:src/%.cpp=dep/%.d)
-MPEGDEP:=$(MPEGSRC:src/%.cpp=dep/%.d)
-SHAREDDEP:=$(SHAREDSRC:src/%.cpp=dep/%.d)
-SERVERDEP:=$(SERVERSRC:src/%.cpp=dep/%.d)
-
-DEP:=$(COREDEP) $(MPEGDEP) $(SHAREDDEP) $(SERVERDEP)
+DEP:=$(SRC:src/%.cpp=dep/%.d)
 
 
 #
@@ -123,12 +130,16 @@
 		@echo "**** No configuration found, please run ./configure..."
 		@exit 1
 
-clean:
+vls_clean:
 		rm -Rf obj
+
+module_clean:
 		for module in $(MODULE_LIST) ; do \
 			( cd src/modules/$$module && $(MAKE) clean ) ; done
 
-distclean:	clean
+clean:		module_clean vls_clean
+
+distclean:	vls_clean
 		rm -f bin/vls
 		rm -f config*status config*cache config*log
 		rm -f Makefile.opts src/core/defs.h src/server/config.h
@@ -147,11 +158,16 @@
 endif
 	mkdir -p $(DESTDIR)$(sysconfdir)/videolan/vls
 	test -r $(DESTDIR)$(sysconfdir)/videolan/vls/vls.cfg || $(INSTALL) -m 644 vls.cfg $(DESTDIR)$(sysconfdir)/videolan/vls
+	test -r $(DESTDIR)$(sysconfdir)/videolan/vls/input.cfg || $(INSTALL) -m 644 input.cfg $(DESTDIR)$(sysconfdir)/videolan/vls
 	@echo "Installation succeeded."
 
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/vls
 	rm -f $(DESTDIR)$(libdir)/videolan/vls/*.so
+
+# Build lexer.cpp with flex
+lexer:
+	flex -i -osrc/core/lexer.cpp src/core/lexer.lex
 
 dep:		Makefile.opts $(DEP)
 
@@ -220,17 +236,17 @@
 	rm -Rf tmp/vls/tmp
 	find debian -mindepth 1 -maxdepth 1 -type d | \
 		while read i ; do rm -Rf tmp/vls/$$i ; done
+	mkdir -p tmp/vls/doc
 	# Copy .c .h .in .cpp and files
 	find src -type f -name '*.[chi]*' | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
 	# Copy module Makefiles
 	find src/modules -type f -name Makefile | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
-	# Copy input Makefiles
-	find src/inputs -type f -name Makefile | while read i ; \
-		do cp $$i tmp/vls/$$i ; done
+	# Copy documentation
+	cp doc/Makefile doc/vls-guide.sgml tmp/vls/doc
 	# Copy misc files
-	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* HOWTO \
+	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
 		vls.cfg input.cfg Makefile Makefile.dep Makefile.module \
 		Makefile.module.dep Makefile.opts.in\
 		configure configure.in install-sh config.sub config.guess \

=== interface/Makefile ===
################################################################################
# vlm Makefile
# (c)1998 VideoLAN
################################################################################


################################################################################
# Settings
################################################################################

#
# C++ compiler must be used
#
CC=g++

#
# C compiler flags: dependancies
#
DCFLAGS+=-Wall
DCFLAGS+=-MM

#
# C compiler flags: compilation
#
CCFLAGS+=-Wall
#CCFLAGS+=-fexternal-templates
CCFLAGS+=-D_REENTRANT
#CCFLAGS+=-O8

#
# C compiler flags: linking
#
LCFLAGS+=-Wall

#
# Headers paths
#
INCLUDE+=-I../core/
INCLUDE+=-I.
INCLUDE+=-I-

# Use the GTK Toolkit and the GTK-- wrapper
GTKFLAGS += `gtk-config --cflags`
GTKLIBS += `gtk-config --libs`
GTKLIBS += -lgdk     
GTKLIBS += -lgdkmm
GTKLIBS += -lgtkmm

#
# Needed libraries
#
LIB+=-lpthread
#LIB+=-lnspr3
#LIB+=lib/libamsapi.so


#
# Debugging and profiling
#
CCFLAGS+=-g
#CCFLAGS+=-pg
#CCFLAGS+=-g -pg
#LIB+=-ldmalloc
#LIB+=-lefence


#################################################################################
# Files desription
#################################################################################

#
# Source files
#
SRC=	../core/cfgfile.cpp \
	../core/composite.cpp \
	../core/log.cpp \
	../core/string.cpp \
	../core/thread.cpp \
	vlm.cpp \
	vlm_frame.cpp \
	vlm_about.cpp \
	vlm_console.cpp \
	vlm_draw.cpp \

#
# Object files
# 
OBJ:=$(SRC:%.cpp=obj/%.o)

#
# Dependancies
#
DEP:=$(SRC:%.cpp=dep/%.d)


################################################################################
# Targets definition
################################################################################

#
# Build rules
#
all:		vlm

clean:
		rm -Rf obj/*

distclean:	clean
		rm -f vls
		rm -Rf dep/*
		rm -Rf *.log *.dbg

dep:		$(DEP)

vlm:		$(OBJ)
		@echo "Linking $@..."
		$(CC) -o $@ $(OBJ) $(CFLAGS) $(LCFLAGS) $(LIB) $(GTKLIBS)
		chmod 755 $@

$(OBJ):		obj/%.o: dep/%.d
$(OBJ):		obj/%.o: %.cpp
		@test -d obj/$(dir $*) || mkdir -p obj/$(dir $*)
		@echo "Compiling $<..."
		$(CC) $(CFLAGS) $(CCFLAGS) $(GTKFLAGS) $(INCLUDE) -o $@ -c $<

$(DEP):		Makefile
$(DEP):		dep/%.d: %.cpp
		@test -d dep/$(dir $*) || mkdir -p dep/$(dir $*)
		@echo "Generating dependancies for $<..."
		@$(SHELL) -ec '$(CC) $(CFLAGS) $(DCFLAGS) $(INCLUDE) $< \
		| sed '\''s/$(subst .,\.,$(notdir $*))\.o[ :]*/$(subst /,\/,$*).o \
		dep\/$(subst /,\/,$*).d : /g'\'' > $@; \
		[ -s $@ ] || rm -f $@'

#
# Dependancies inclusion
#
-include $(DEP)


################################################################################
# Notes
################################################################################

# The purpose of the sed command is to make each `.d' file depend on all the
# source and header files that the corresponding `.o' file depends on. make then
# knows it must regenerate the dependencies whenever any of the source or header
# files changes.
# Each .d file also depends on the Makefile so that make regenerate the entire
# files when the Makefile is modified
#
# Each .o file of course depends of all the headers it may include thanks to the
# automatic dependance computation.
# Is also depends on the corresponding .d file so that we are sure it will be
# remade each time the dependancies are updated even if the files it depends have
# not changed. This is usefull when the Makefile is modified for example.
#
# At that time, all dependancies are included. Howewer a .d file should only be
# included if the corresponding .o needs to be re-made. I don't know how to do
# without calling another makefile to build the .d files.

=== src/modules/dvbinput/Makefile ===
################################################################################
# "dvb" input Makefile
#-------------------------------------------------------------------------------
# (c)1999-2002 VideoLAN
# $Id: Makefile,v 1.1 2002/03/21 14:09:19 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif


################################################################################
# Files description
################################################################################

#
# Input name
#

MODULE=dvbinput

#
# Source files
#
MODULE_SRC=	dvbinput.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.

=== src/modules/netchannel/Makefile ===
################################################################################
# "network" channel Makefile
#-------------------------------------------------------------------------------
# (c)1999-2001 VideoLAN
# $Id: Makefile,v 1.3 2001/11/29 16:11:42 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=netchannel

#
# Source files
#
MODULE_SRC=	netchannel.cpp \
		netoutput.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.

=== debian/changelog ===
vls (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 14 May 2002 22:26:15 +0200

vls (0.3.2-1) unstable; urgency=low

  * First Debian upload (Closes: #140965).

 -- Samuel Hocevar <sam@zoy.org>  Thu,  4 Apr 2002 02:28:13 +0200

vls (0.3.1-1) unstable; urgency=low

  * Upstream Release.

 -- Samuel Hocevar <sam@zoy.org>  Thu,  6 Dec 2001 16:13:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Samuel Hocevar <sam@zoy.org>
-Build-Depends: debhelper (>=2.2.0), libdvdread2-dev
+Build-Depends: debhelper (>=2.2.0), libdvdread2-dev, dvb-dev, libdvbpsi0-dev
 Standards-Version: 3.0.1
 
 Package: vls
@@ -20,4 +20,15 @@
 Description: DVD plugin for vls
  VideoLAN is a free MPEG, MPEG2 and DVD software solution.
  .
- This plugin adds DVD support to vls, the VideoLAN Server.
+ This plugin adds DVD support to vls, the VideoLAN Server. With this plugin
+ vls is able to read MPEG data from a DVD and broadcast the stream to the
+ network, together with all subtitles and audio tracks.
+
+Package: vls-dvb
+Architecture: any
+Depends: vls (= ${Source-Version}), ${shlibs:Depends}
+Description: DVB plugin for vls
+ VideoLAN is a free MPEG, MPEG2 and DVD software solution.
+ .
+ This plugin adds DVB support to vls, the VideoLAN Server. This plugin
+ currently only works with WinTV-Nova satellite cards.

## vls 0.4.0-1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # vls (VideoLAN Server) main Makefile
 #-------------------------------------------------------------------------------
 # (c)1999-2001 VideoLAN
-# $Id: Makefile,v 1.91 2002/04/04 00:46:44 bozo Exp $
+# $Id: Makefile,v 1.98 2002/10/13 18:27:20 asmax Exp $
 ################################################################################
 
 
@@ -41,6 +41,7 @@
 		src/core/system.cpp \
 		src/core/thread.cpp \
 		src/core/module.cpp \
+		src/core/iso_lang.cpp \
 
 endif
 
@@ -49,7 +50,7 @@
 		src/server/directory.cpp \
 		src/server/input.cpp \
 		src/server/output.cpp \
-                src/server/channel.cpp \
+		src/server/channel.cpp \
 		src/server/request.cpp \
 		src/server/admin.cpp \
 		src/server/broadcast.cpp \
@@ -62,8 +63,14 @@
 
 endif
 
+ifeq ($(NEEDSRC_daemon),1)
+SRC+=		src/server/daemon.cpp \
+
+endif
+
 ifeq ($(NEEDSRC_mpegbase),1)
 SRC+=		src/mpeg/ts.cpp \
+		src/mpeg/rtp.cpp \
 		src/mpeg/streamdescr.cpp \
 		src/mpeg/reader.cpp \
 		src/mpeg/converter.cpp \
@@ -90,6 +97,7 @@
 		localinput \
 		videoinput \
 		dvbinput \
+                dvbreader \
 
 
 BUILTINSTARGETS:=$(BUILTINS:%:bin/%.a)
@@ -141,6 +149,7 @@
 
 distclean:	vls_clean
 		rm -f bin/vls
+		rm -f bin/vlsd
 		rm -f config*status config*cache config*log
 		rm -f Makefile.opts src/core/defs.h src/server/config.h
 		rm -f src/server/vls_builtins.cpp
@@ -152,6 +161,7 @@
 install:
 	mkdir -p $(DESTDIR)$(bindir)
 	$(INSTALL) bin/vls $(DESTDIR)$(bindir)
+	$(INSTALL) bin/vlsd $(DESTDIR)$(bindir)
 	mkdir -p $(DESTDIR)$(libdir)/videolan/vls
 ifneq (,$(PLUGINS))
 	$(INSTALL) -m 644 $(PLUGINS:%=bin/%.so) $(DESTDIR)$(libdir)/videolan/vls
@@ -163,6 +173,7 @@
 
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/vls
+	rm -f $(DESTDIR)$(bindir)/vlsd
 	rm -f $(DESTDIR)$(libdir)/videolan/vls/*.so
 
 # Build lexer.cpp with flex
@@ -175,6 +186,7 @@
 		@echo "Linking $@..."
 		@test -d bin || mkdir -p bin
 		$(CXX) $(LCFLAGS) -o bin/$@ $(OBJ) $(BUILTINS:%=obj/%.a) $(VLS_LIB)
+		@test -f bin/vlsd || ln -s $@ bin/$@d
 		chmod 755 bin/$@
 
 dep/server/vls.d:	src/server/vls_builtins.cpp
@@ -222,12 +234,12 @@
 #
 # Package generation rules
 #
-snapshot:
+dist:
 	# Check that tmp isn't in the way
 	@if test -e tmp; then \
 		echo "Error: please remove ./tmp, it is in the way"; false; \
 	else \
-		echo "Starting snapshot's build."; mkdir tmp; \
+		echo "Starting dist's build."; mkdir tmp; \
 	fi
 	# Copy directory structure in tmp
 	find -type d | grep -v '\(snapshot\|CVS\)' | while read i ; \
@@ -237,18 +249,24 @@
 	find debian -mindepth 1 -maxdepth 1 -type d | \
 		while read i ; do rm -Rf tmp/vls/$$i ; done
 	mkdir -p tmp/vls/doc
-	# Copy .c .h .in .cpp and files
+	mkdir -p tmp/vls/doc/developer
+	# Copy .c .h .in .cpp and .def files
 	find src -type f -name '*.[chi]*' | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
+	cp src/core/iso-639.def tmp/vls/src/core
 	# Copy module Makefiles
 	find src/modules -type f -name Makefile | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
 	# Copy documentation
-	cp doc/Makefile doc/vls-guide.sgml tmp/vls/doc
+	cp doc/Makefile doc/vls-guide.sgml tmp/vls/doc 
+	for file in doc/developer/*.sgml doc/developer/*.dia \
+		doc/developer/*.eps doc/developer/*.jpg \
+		doc/developer/*.dsl doc/developer/*.sda ; \
+			do cp $$file tmp/vls/doc/developer ; done
 	# Copy misc files
 	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
 		vls.cfg input.cfg Makefile Makefile.dep Makefile.module \
-		Makefile.module.dep Makefile.opts.in\
+		Makefile.module.dep Makefile.opts.in vls.dsp \
 		configure configure.in install-sh config.sub config.guess \
 		tmp/vls/
 	# Copy Debian control files
@@ -257,6 +275,8 @@
 			do cp $$file tmp/vls/debian ; done
 	for file in control changelog rules vls.1 ; do \
 		cp debian/$$file tmp/vls/debian/ ; done
+	# Copy rpm spec file
+	cp vls.spec tmp/vls
 	# Build archives
 	F=vls-${VLS_QUICKVERSION}; \
 		mv tmp/vls tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \

=== doc/Makefile ===
html:
	sgml2html vls-guide.sgml

pdf:
	sgml2latex vls-guide.sgml
	pdflatex vls-guide.tex

=== doc/developer/Makefile ===
all:
	sgmltools -b html -s stylesheet.dsl vls-devel.sgml
	cp *.jpg vls-devel

dvi:
	sgmltools -b dvi vls-devel.sgml

clean:
	rm -Rf vls-devel
	rm -f vls-devel.dvi

=== src/modules/dvbreader/Makefile ===
################################################################################
# "DVB" reader Makefile
#-------------------------------------------------------------------------------
# (c)2001 VideoLAN
# $Id: Makefile,v 1.1 2002/09/22 01:38:54 nitrox Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=dvbreader

#
# Source files
#
MODULE_SRC=	dvbreader.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.

=== src/modules/ps2ts/Makefile ===
################################################################################
# "ps2ts" converter Makefile
#-------------------------------------------------------------------------------
# (c)1999-2001 VideoLAN
# $Id: Makefile,v 1.2 2001/11/29 16:11:42 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=ps2ts

#
# Source files
#
MODULE_SRC=	ps2ts.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.

=== debian/changelog ===
vls (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 13 Oct 2002 02:27:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Samuel Hocevar <sam@zoy.org>
-Build-Depends: debhelper (>=2.2.0), libdvdread2-dev, dvb-dev, libdvbpsi0-dev
+Build-Depends: debhelper (>=2.2.0), libdvdread2-dev, dvb-dev, libdvbpsi1-dev
 Standards-Version: 3.0.1
 
 Package: vls
